{
  "version": "0.0.1-nightly.7",
  "name": "gitlab-webhooks",
  "license": "MIT",
  "scripts": {
    "start": "nx serve",
    "build": "nx build",
    "test": "nx test",
    "rxap-schematic": "bash $HOME/Projects/rxap/packages/tools/scripts/schematic.sh",
    "rxap:update": "npx npm-check-updates --filter /@rxap/ --target newest -u && yarn",
    "rxap:migrate": "yarn rxap:update && yarn rxap:compose",
    "rxap:compose": "nx g @rxap/schematic-composer:compose",
    "prepare": "husky install",
    "schematic": "bash tools/scripts/schematic.sh",
    "server": "bash tools/scripts/start-local-dev-services.sh",
    "server:status": "bash tools/scripts/get-local-dev-services-status.sh",
    "server:stop": "bash tools/scripts/stop-local-dev-services.sh",
    "init:env": "bash tools/scripts/setup-env-file.sh"
  },
  "dependencies": {
    "@nestjs/cache-manager": "2.2.2",
    "@nestjs/common": "10.3.8",
    "@nestjs/config": "3.2.2",
    "@nestjs/core": "10.3.8",
    "@nestjs/microservices": "10.3.8",
    "@nestjs/platform-express": "10.3.8",
    "@nestjs/swagger": "7.3.1",
    "@nestjs/terminus": "10.2.3",
    "@nestjs/throttler": "5.1.2",
    "@rxap/nest-dto": "10.3.3",
    "@rxap/nest-logger": "10.2.4",
    "@rxap/nest-rabbitmq": "10.0.0-dev.6",
    "@rxap/nest-sentry": "10.3.3",
    "@rxap/nest-server": "10.4.4",
    "@rxap/nest-utilities": "10.3.3",
    "@rxap/nest-vault": "10.1.0-dev.0",
    "@rxap/rxjs": "1.1.7",
    "@rxap/utilities": "16.2.5",
    "@sentry/hub": "7.114.0",
    "@sentry/node": "7.116.0",
    "amqp-connection-manager": "^4.1.14",
    "amqplib": "^0.10.4",
    "axios": "1.7.2",
    "cache-manager": "5.5.3",
    "class-transformer": "0.5.1",
    "class-validator": "0.14.1",
    "colors": "^1.4.0",
    "cookie-parser": "1.4.6",
    "helmet": "7.1.0",
    "joi": "17.13.1",
    "node-vault": "^0.10.2",
    "reflect-metadata": "^0.2.0",
    "rxjs": "^7.8.0",
    "swagger-ui-express": "5.0.0",
    "tslib": "^2.3.0"
  },
  "devDependencies": {
    "@angular-devkit/schematics": "^16.2.13",
    "@commitlint/cli": "19.3.0",
    "@commitlint/config-conventional": "19.2.2",
    "@nestjs/schematics": "10.1.1",
    "@nestjs/testing": "10.3.8",
    "@nx/devkit": "19.3.2",
    "@nx/eslint": "19.3.2",
    "@nx/eslint-plugin": "19.3.2",
    "@nx/jest": "19.3.2",
    "@nx/js": "19.3.2",
    "@nx/nest": "19.3.2",
    "@nx/node": "19.3.2",
    "@nx/webpack": "19.3.2",
    "@nx/workspace": "19.3.2",
    "@rxap/cli": "^0.1.3",
    "@rxap/generator-ts-morph": "1.0.10",
    "@rxap/json-schema-to-typescript": "16.0.7",
    "@rxap/node-utilities": "1.3.2",
    "@rxap/plugin-application": "19.1.0",
    "@rxap/plugin-docker": "19.0.4",
    "@rxap/plugin-gitlab-ci": "19.0.4",
    "@rxap/plugin-library": "19.3.1",
    "@rxap/plugin-nestjs": "19.1.1",
    "@rxap/plugin-open-api": "19.1.3",
    "@rxap/plugin-utilities": "19.0.5",
    "@rxap/plugin-workspace": "19.1.2",
    "@rxap/schematic-composer": "18.0.4",
    "@rxap/schematics-ts-morph": "18.1.2",
    "@rxap/schematics-utilities": "18.0.4",
    "@rxap/ts-morph": "1.4.2",
    "@rxap/workspace-open-api": "19.0.4",
    "@rxap/workspace-ts-morph": "19.1.2",
    "@rxap/workspace-utilities": "19.3.1",
    "@types/amqp-connection-manager": "^3.4.1",
    "@types/amqplib": "^0.10.5",
    "@types/cookie-parser": "1.4.7",
    "@types/csurf": "1.11.5",
    "@types/jest": "^29.4.0",
    "@types/node": "18.19.33",
    "@typescript-eslint/eslint-plugin": "7.11.0",
    "@typescript-eslint/parser": "7.11.0",
    "eslint": "8.57.0",
    "eslint-config-prettier": "9.1.0",
    "husky": "9.0.11",
    "jest": "^29.4.1",
    "jest-environment-jsdom": "^29.4.1",
    "jest-environment-node": "^29.4.1",
    "jest-junit": "16.0.0",
    "nx": "19.3.2",
    "prettier": "^2.6.2",
    "rxap": "19.1.12",
    "ts-jest": "^29.1.0",
    "ts-node": "10.9.2",
    "typescript": "~5.4.0"
  },
  "engines": {
    "node": ">=18 <21",
    "yarn": "1.22 || 3.6"
  },
  "jest-junit": {
    "uniqueOutputName": true
  },
  "os": [
    "!win32"
  ],
  "packageManager": "yarn@3.6.0",
  "private": true,
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/rxap/applications/services/gitlab-webhooks.git"
  }
}
